<html>
<head>
<title>Ogre::WorkQueue::ResponseHandler Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">ResponseHandler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::WorkQueue::ResponseHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::WorkQueue::ResponseHandler" -->
<p>Interface definition for a handler of responses.  
 <a href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::WorkQueue::ResponseHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1WorkQueue_1_1ResponseHandler__inherit__graph.gif" border="0" usemap="#Ogre_1_1WorkQueue_1_1ResponseHandler_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1WorkQueue_1_1ResponseHandler_inherit__map" id="Ogre_1_1WorkQueue_1_1ResponseHandler_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1Page.html" title="Page class." alt="" coords="5,83,93,112"/><area shape="rect" id="node5" href="classOgre_1_1ResourceBackgroundQueue.html" title="This class is used to perform Resource operations in a background thread." alt="" coords="117,83,339,112"/><area shape="rect" id="node7" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain." alt="" coords="363,83,461,112"/><area shape="rect" id="node9" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other..." alt="" coords="485,83,619,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1WorkQueue_1_1ResponseHandler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a0e4215e93030a19595bc2d2e30f0a938">ResponseHandler</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a5fb201476bd4bf5a14425c4598753aab">~ResponseHandler</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a7a2fabae7f92bed384f100526055a899">canHandleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether this handler can process a given response.  <a href="#a7a2fabae7f92bed384f100526055a899"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a8fab0334551e482042df078a5945f5de">handleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The handler method every subclass must implement.  <a href="#a8fab0334551e482042df078a5945f5de"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface definition for a handler of responses. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>User classes are expected to implement this interface in order to process responses from the queue. All calls to this class will be in the main render thread and thus all GPU resources will be available. </dd></dl>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00195">195</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0e4215e93030a19595bc2d2e30f0a938"></a><!-- doxytag: member="Ogre::WorkQueue::ResponseHandler::ResponseHandler" ref="a0e4215e93030a19595bc2d2e30f0a938" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a0e4215e93030a19595bc2d2e30f0a938">Ogre::WorkQueue::ResponseHandler::ResponseHandler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00198">198</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5fb201476bd4bf5a14425c4598753aab"></a><!-- doxytag: member="Ogre::WorkQueue::ResponseHandler::~ResponseHandler" ref="a5fb201476bd4bf5a14425c4598753aab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a5fb201476bd4bf5a14425c4598753aab">Ogre::WorkQueue::ResponseHandler::~ResponseHandler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00199">199</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7a2fabae7f92bed384f100526055a899"></a><!-- doxytag: member="Ogre::WorkQueue::ResponseHandler::canHandleResponse" ref="a7a2fabae7f92bed384f100526055a899" args="(const Response *res, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a7a2fabae7f92bed384f100526055a899">Ogre::WorkQueue::ResponseHandler::canHandleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return whether this handler can process a given response. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Defaults to true, but if you wish to add several handlers each of which deal with different types of response, you can override this method. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1Terrain.html#a3e3d8150704d279630a3a125b0439138">Ogre::Terrain</a>, <a class="el" href="classOgre_1_1TerrainGroup.html#ad608848047850ff730ef870457b7e14f">Ogre::TerrainGroup</a>, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a3e162e3a40c4fe36e8e32bf11dcb2c43">Ogre::ResourceBackgroundQueue</a>, and <a class="el" href="classOgre_1_1Page.html#a3e963a28826407a7cb45f6c8fdaab4ce">Ogre::Page</a>.</p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00207">207</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

<p>References <a class="el" href="OgreWorkQueue_8h_source.html#l00116">Ogre::WorkQueue::Request::getAborted()</a>, and <a class="el" href="OgreWorkQueue_8h_source.html#l00136">Ogre::WorkQueue::Response::getRequest()</a>.</p>

</div>
</div>
<a class="anchor" id="a8fab0334551e482042df078a5945f5de"></a><!-- doxytag: member="Ogre::WorkQueue::ResponseHandler::handleResponse" ref="a8fab0334551e482042df078a5945f5de" args="(const Response *res, const WorkQueue *srcQ)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a8fab0334551e482042df078a5945f5de">Ogre::WorkQueue::ResponseHandler::handleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The handler method every subclass must implement. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">res</td><td>The <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">Response</a> structure. The caller is responsible for deleting this after the call is made, none of the data contained (except pointers to structures in user <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> data) will persist after this call is returned. </td></tr>
    <tr><td class="paramname">srcQ</td><td>The work queue that this request originated from </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1Terrain.html#ad963dbee0f58e887e05c982385fb9799">Ogre::Terrain</a>, <a class="el" href="classOgre_1_1TerrainGroup.html#a5d062f88928dd1a572dc7a411b07457b">Ogre::TerrainGroup</a>, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a80e5148e3e0f8abd1e9eb2279e6db221">Ogre::ResourceBackgroundQueue</a>, and <a class="el" href="classOgre_1_1Page.html#a90fa27b468e2eb4f8ca38b37ea504a0b">Ogre::Page</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
